<?php

$fromurl = $this->input->get('fromurl');

if ($fromurl && !empty($fromurl)) {

    if ($fromurl == 'hback') {
        $m_backurl = 'javascript:history.back(-1)';
    } else {
        $m_backurl = $fromurl;
    }

} else {

    switch ($this->uri->segment(2, '')) {
        case 'index':
            $m_backurl = '/';
            break;
        case 'add':
            if ($this->uri->segment(1, '') == 'linkman') {
                $m_backurl = 'javascript:history.back(-1)';
            } else {
                $m_backurl = '/index.php/' . $this->uri->segment(1, '');
            }
            break;
        case 'edit':
            $m_backurl = '/index.php/' . $this->uri->segment(1, '');
            break;
        case 'view':
            $m_backurl = '/index.php/' . $this->uri->segment(1, '');
            break;
        default:
            $m_backurl = 'javascript:history.back(-1)';
    }

}

?>

<?php if ($this->qmsoft->is_mobile() == 1) { //手机端?>
<div class="location"> <a href="<?php echo $m_backurl ?>" class="back"><i class="fa fa-reply-all"></i></a> <span id="mhead_title_name"></span> <span class="m_right"> <a href="javascript:void(0);" class="m_menu"><i class="fa fa-bars"></i></a></span> </div>
<div class="location_b"></div>
<?php }?>